TCST2DKernel< T > Class Template Referenceabstract
Filtering and combining

Base class for cos/sin transformation filters. More...

`#include <mia/2d/cstkernel.hh>`

Inheritance diagram for TCST2DKernel< T >:
[legend]
Collaboration diagram for TCST2DKernel< T >:
[legend]

## Public Types

typedef TCSTPlan< T > | CPlan
| define the type of the FFTW plan used
typedef plugin_data_type< T >::type | plugin_data
| some helper typedef for the plug-in handler
typedef cst2d_kernel | plugin_type
| define the plugin-type helper to get the search path
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

void | apply (const T &in, T &out) const
void | prepare (const C2DBounds &size)
| TCST2DKernel (fftwf_r2r_kind forward)
virtual | ~TCST2DKernel ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<typename T>
class TCST2DKernel< T >

Base class for cos/sin transformation filters.

This class defines the interface for filter that uses cosinus and sinus transforms to move the data into a dual space, runs some filter there and then transforms the data back. This class may be used for gray scale image data and vector data.

Template Parameters

  The | actual data type to run the filter on

Remarks
  why is this called a kernel?

Definition at line 55 of file cstkernel.hh.

## Member Typedef Documentation

## CPlan

template<typename T>

typedef TCSTPlan<T> TCST2DKernel< T >::CPlan

define the type of the FFTW plan used

Definition at line 65 of file cstkernel.hh.

## plugin_data

template<typename T>

typedef plugin_data_type<T>::type TCST2DKernel< T >::plugin_data

some helper typedef for the plug-in handler

Definition at line 59 of file cstkernel.hh.

## plugin_type

template<typename T>

typedef cst2d_kernel TCST2DKernel< T >::plugin_type

define the plugin-type helper to get the search path

Definition at line 62 of file cstkernel.hh.

## Constructor & Destructor Documentation

## TCST2DKernel()

template<typename T>

TCST2DKernel< T >::TCST2DKernel | ( | fftwf_r2r_kind | forward | ) |

Consruct the filter as either forward or backward

Remarks
  why is this?

## ~TCST2DKernel()

template<typename T>

virtual TCST2DKernel< T >::~TCST2DKernel | ( |  | ) |

virtual

## Member Function Documentation

## apply()

template<typename T>

void TCST2DKernel< T >::apply | ( | const T & | in,
|  | T & | out ) const

Apply the transform

Parameters

  [in] | in |
  [out] | out |

## prepare()

template<typename T>

void TCST2DKernel< T >::prepare | ( | const C2DBounds & | size | ) |

Prepare the transform based on the size of the data field to be transformed

Parameters

  size |

The documentation for this class was generated from the following file:

- cstkernel.hh